#ifndef BSPLINE_H
#define BSPLINE_H

#include <BsplineEval/bsplineval.h>

BsplineErr
bspline_eval( 
  double theta, 
  double zn, 
  SplineInfo& spinfo, 
  double* s
  );

BsplineErr
bspline_eval_derivs(
  double theta, 
  double zn, 
  SplineInfo& spinfo, 
  BsplineResult* bspres
  );


BsplineErr
bspline_algc_eval( 
  double theta, 
  double zn, 
  SplineInfo& spinfo, 
  double* s
  );

BsplineErr
bspline_algc_eval_derivs(
  double theta, 
  double zn, 
  SplineInfo& spinfo, 
  BsplineResult* bspres
  );


#endif // !BSPLINE_H
